@import 'variables'

@import 'fix'
@import 'typography'

html
  height 100vh
  max-height 100vh
  max-width 100vw
  min-height 100vh
  min-width 100vw
  width 100vw

body
  background-color $list-grey
  height 100%
  margin 0
  max-height 100%
  max-width 100%
  min-height 100%
  min-width 100%
  width 100%

#app-root
  align-content center
  background-color $list-grey
  display flex
  flex-flow column nowrap
  height 100%
  max-height 100%
  max-width 100%
  min-height 640px
  min-width 360px
  justify-content center
  width 100%

//
// Flavors
//
//

.chedda
  background-color $chedda
  border-color $icon-dark
  color $text-dark

  & .icon
    fill $icon-dark
    stroke $icon-dark

  & .fade-overflow
    background-image linear-gradient(to bottom, transparent, $chedda)

.blush
  background-color $blush
  border-color $icon-dark
  color $text-dark

  & .icon
    fill $icon-dark
    stroke $icon-dark

  & .fade-overflow
    background-image linear-gradient(to bottom, transparent, $blush)

.mint
  background-color $mint
  border-color $icon-dark
  color $text-dark

  & .icon
    fill $icon-dark
    stroke $icon-dark

  & .fade-overflow
    background-image linear-gradient(to bottom, transparent, $mint)

.breeze
  background-color $breeze
  border-color $icon-dark
  color $text-dark

  & .icon
    fill $icon-dark
    stroke $icon-dark

  & .fade-overflow
    background-image linear-gradient(to bottom, transparent, $breeze)

.fig
  background-color $fig
  border-color $icon-light
  color $text-light

  & .icon
    fill $icon-light
    stroke $icon-light

  & .fade-overflow
    background-image linear-gradient(to bottom, transparent, $fig)

.space
  background-color $space
  border-color $icon-light
  color $text-light

  & .icon
    fill $icon-light
    stroke $icon-light

  & .fade-overflow
    background-image linear-gradient(to bottom, transparent, $space)

.default .icon
  stroke $icon-dark

//
// Fonts
//
//

.font-wait
  border-radius 4px
  color transparent
  font-family Monaco, monospace

.wf-ibmplexmono-n4-active
  & .font-wait
    background-color transparent
    border-radius 0
    font-family 'IBM Plex Mono', Monaco, monospace

.wf-ibmplexmono-n4-inactive
  & .font-wait
    background-color transparent
    border-radius 0

//
// App Shell
//
//

.app
  &-header
    border 0
    box-shadow 0 3px 3px -3px $ruler
    flex-shrink 0
    height 63px
    margin 0 0 18px
    width 100%

  &-main
    align-items flex-start
    display flex
    flex-flow row nowrap
    flex-shrink 0
    height calc(100% - 83px)
    margin 0 0 0 98px
    width calc(100% - 98px)

.navbar
  align-items center
  display flex
  flex-flow row nowrap
  flex-shrink 0
  height 100%
  width 100%

  &-title
    align-items center
    display flex
    flex-shrink 0
    left 117px
    margin 0 auto
    max-width 119px
    position absolute

    & b
      height 27px

    & .logo
      height 36px
      margin 2px 4.5px 2px 2px
      overflow hidden
      width 36px

.back-btn
  background-color transparent
  border 0
  flex-shrink 0
  height 27px
  left 18px
  margin 0 auto
  padding 0
  position absolute
  width 27px

  & .icon
    height 100%
    overflow hidden
    width 100%

.menu-btn
  flex-shrink 0
  height 27px
  margin 0 auto
  position absolute
  right 27px
  width 27px

  & .icon
    height 100%
    overflow hidden
    width 100%

  & button
    background-color transparent
    border 0
    height 100%
    padding 0
    width 100%

#sprites
  display none
  height 0
  width 0

#gutter
  box-shadow -4px 4px 4px $gutter
  display block
  height 100%
  margin 0 0 0 90px
  position absolute
  width 0.5px
  z-index 100000

  &:after
    content ' '

  &:before
    content ' '

#close, #modify, #menu-ellipse
  fill inherit

#back-arrow
  stroke inherit
